# ApplicationFramework
TKLCAF
TNaming

# TNaming_NamingTool Class Reference

`#include <TNaming_NamingTool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | CurrentShape (const TDF_LabelMap &Valid, const TDF_LabelMap &Forbiden, const Handle(TNaming_NamedShape)&NS, TopTools_MapOfShape &MS)
static Standard_EXPORT void | CurrentShapeFromShape (const TDF_LabelMap &Valid, const TDF_LabelMap &Forbiden, const TDF_Label &Acces, const TopoDS_Shape &S, TopTools_MapOfShape &MS)
static Standard_EXPORT void | BuildDescendants (const Handle(TNaming_NamedShape)&NS, TDF_LabelMap &Labels)

## Member Function Documentation

static Standard_EXPORT void TNaming_NamingTool::BuildDescendants | ( | const Handle(TNaming_NamedShape)& | NS,
|  | TDF_LabelMap & | Labels
| ) | `[static]`

static Standard_EXPORT void TNaming_NamingTool::CurrentShape | ( | const TDF_LabelMap & | Valid,
|  | const TDF_LabelMap & | Forbiden,
|  | const Handle(TNaming_NamedShape)& | NS,
|  | TopTools_MapOfShape & | MS
| ) | `[static]`

static Standard_EXPORT void TNaming_NamingTool::CurrentShapeFromShape | ( | const TDF_LabelMap & | Valid,
|  | const TDF_LabelMap & | Forbiden,
|  | const TDF_Label & | Acces,
|  | const TopoDS_Shape & | S,
|  | TopTools_MapOfShape & | MS
| ) | `[static]`

void TNaming_NamingTool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_NamingTool::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_NamingTool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- TNaming_NamingTool.hxx